package jrummikub;

import java.awt.Color;

import javax.swing.UIManager;

import jrummikub.control.GameControl;
import jrummikub.model.GameSettings;
import jrummikub.model.IGameSettings;
import jrummikub.model.PlayerSettings;
import jrummikub.view.impl.View;

/**
 * The main class
 */
public class JRummikub {

	/**
	 * The main method
	 * 
	 * @param args
	 *          command line arguments
	 */
	public static void main(String[] args) {
		String nativeLF = UIManager.getSystemLookAndFeelClassName();

		try {
			UIManager.setLookAndFeel(nativeLF);
		} catch (Exception e) {
		}

		IGameSettings gameSettings = new GameSettings();
		gameSettings.getPlayerList().add(new PlayerSettings("Ida", Color.RED));
		gameSettings.getPlayerList().add(
				new PlayerSettings("Matthias", Color.YELLOW));
		gameSettings.getPlayerList().add(new PlayerSettings("Jannis", Color.GREEN));
		gameSettings.getPlayerList().add(new PlayerSettings("Bennet", Color.BLACK));

		View view = new View();

		GameControl gameControl = new GameControl(gameSettings, view);
		gameControl.startGame();

	}

}
